Jump to content
DeployCentral
phildown

Error Message When Trying to run wmi.vbs

Recommended Posts

Trying to build a platform pack. Getting a runtime error when trying to run the wmi.vbs file. It does't like the last update that includes 

 

    SystemFamily = objSystem.SystemFamily
    SystemSKUNumber = objSystem.SystemSKUNumber

 

If I remove them, it doesn't want to run. 

 

 

Runtime error.PNG

Share this post


Link to post
Share on other sites

Hi phildown,

Yep, SystemFamily and SystemSKUNumber are newer properties within Win32_ComputerSystem, only supported in Windows 10 and Windows Server 2016 or later.

This means the current version of the script will fail in an older OS, but it will run just fine in our WindowsPE environment. So the easiest way to get a wmi.txt for a system that is currently running an older OS would be to boot to SmartDeploy media (best option would be a boot media USB stick with no answer file).

When the SmartDeploy splash screen appears, click the Collect Logs option. Select a location to save the zip file. A log zip file will be generated in that location, and you can find the wmi.txt file in [zip root]\X\Windows\Temp, then submit a Platform Pack request via the Support Form (here). If you have any issues with this process, go ahead and submit a support ticket and we'll be happy to assist further.

Glenn
SmartDeploy Support

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...